SUP-TWEAK-LABELS(1)

NAME

sup-tweak-labels - batch modification of message state already in index

SYNOPSIS

sup-tweak-labels [options] source ...

DESCRIPTION

Batch modification of message state for messages already in the index.

Supported source URI schemes can be seen by running "sup-add --help".

OPTIONS

-a STRING, --add STRING
    One or more labels (comma-separated) to add to every message from the specified sources (default: )

-r STRING, --remove STRING
    One or more labels (comma-separated) to remove from every message from the specified sources, if those labels are present (default: )

-q QUERY, --query QUERY
    A Sup search query

OTHER OPTIONS

-v, --verbose
    Print message ids as they're processed

-e, --very-verbose
    Print message names and subjects as they're processed

--all-sources
    Scan over all sources

-n, --dry-run
    Don't actually modify the index. Probably only useful with --verbose

--version
    Show version information

-h, --help
    Show help message

SEE ALSO

sup(1), sup-add(1)

REPORTING BUGS

You are welcome to submit bug reports to the Sup issue tracker, located at

<https://github.com/sup-heliotrope/sup/issues>

CONTACT INFORMATION

The Sup web page:
    <http://supmua.org/>

Code repository:
    <https://github.com/sup-heliotrope/sup/>

Sup Wiki:
    <https://github.com/sup-heliotrope/sup/wiki/>

Sup IRC channel:
    #sup @ freenode.net

Mailing list:
    supmua@googlegroups.com

    supmua+subscribe@googlegroups.com

    Archives: <https://groups.google.com/d/forum/supmua/>

COPYRIGHT

Copyright © 2006-2009 William Morgan <mworgan-sup@masanjin.net>

Copyright @ 2013-2014 Sup developers

Permission is granted to copy and distribute this manual under the terms of the GNU General Public License; either version 2 or (at your option) any later version.

AUTHORS
Sup was originally written by William Morgan <wmorgan-sup@masanjin.net> and is now developed and maintained by the Sup developers.